.pretty-radio {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    position: relative;
    display: inline-block;

    &__input {
        @include visually-hidden();
    }

    &__label {
        color: #3a3a3a;
        font-size: rem(14);
        line-height: rem(20);
        position: relative;
        padding-left: rem(30);
        display: block;

        &::before {
            top: 0;
            left: 0;
            z-index: 1;
            content: '';
            width: rem(20);
            height: rem(20);
            display: block;
            position: absolute;
            border-radius: 50%;
            border: 1px solid $black;
        }

        &:after {
            top: rem(5);
            left: rem(5);
            z-index: 2;
            content: '';
            width: rem(10);
            height: rem(10);
            display: block;
            opacity: 0;
            visibility: hidden;
            position: absolute;
            background: $white;
            border-radius: 50%;
         //   transform: scale(3);
        }

        &--dot {
            font-size: 0;
            line-height: 0;
            padding-left: 0;
            width: 30px;
            height: 30px;

            &:before {
                width: 30px;
                height: 30px;
                border-image: none;
                border: none;
                background: var(--color-primary);
            }

            &:after {
                top: 7px;
                left: 7px;
                width: 16px;
                height: 16px;
                background: $white;
                border-radius: 16px;
            }
        }
    }


    &__input:checked + .pretty-radio__label {

        &::before {
            border-color: $black;
        }

        &::after {
            opacity: 1;
            visibility: visible;
           // transform: scale(1);
            transition : all 0.3s cubic-bezier(0.35, 0.9, 0.4, 0.9);
        }
    }

    &__input:disabled + .pretty-radio__label {
        opacity: 0.4;
    }
}
